<?php
  /**
   * Register
   *
   * @package Digital Downloads Pro
   * @author wojoscripts.com
   * @copyright 2010
   * @version $Id: register.php, v2.00 2011-07-10 10:12:05 gewa Exp $
   */
  define("_VALID_PHP", true);
  require_once("init.php");
  
  if ($user->logged_in)
      redirect_to("account.php");
	  
   $numusers = countEntries("users");
?>
<?php include("header.php");?>
    <?php if(!$core->reg_allowed):?>
    <div class="msgInfo"><span>!تـوجـه</span>. متـاسفیـم، در ایـن لحظـه امکـان ثـبـت نـام وجـود نـدارد</div>
    <?php elseif($core->user_limit !=0 and $core->user_limit == $numusers):?>
    <div class="msgInfo"><span>!تـوجـه</span>. متـاسفیـم، تـعـداد کـاربـران ثـبـت نـام شـده به حـداکثـر ظرفیـت رسیـده اسـت</div>
    <?php else:?>
    <h1>ثـبـت نـام کـاربـر&nbsp;</h1>
    <p class="info">. برای عضـویـت و استفـاده از همـه امکـانـات سـایـت، لطفـا فـرم زیـر را تکمیـل و بـروی کلیـد ثـبـت نـام کلیـک نمائیـد. موارد ضـروری بـا <?php echo required();?> مشخص شـده اند </p>
    <div style="position:relative">
    <span id="loader" style="display:none"></span>
      <div id="msgholder"></div>
    </div>
    <div class="box">
        <form action="" method="post" name="user_form" id="user_form">
          <table width="100%" border="0" cellpadding="3" cellspacing="0" class="display">
            <thead>
              <tr>
                <th colspan="2" class="right">&nbsp;ایـجـاد حـسـاب کـاربـری</th>
              </tr>
            </thead>
            <tr>
              <th width="250"><strong>نـام کـاربـری : <?php echo required();?></strong></th>
              <td><span id="getusername">
                <input name="username" type="text" class="inputbox"  id="username" size="45" />
                <img src="images/ok-ico.png" alt="" id="yes" style="display:none" class="tooltip" title="..نـام کاربـری در دستـرس می بـاشـد" /> <img src="images/error-ico.png" alt="" id="no" style="display:none" class="tooltip" title="! نـام کاربـری در دستـرس نمی بـاشـد" /> </span></td>
            </tr>
            <tr>
              <th><strong>کـلـمه عبـور : <?php echo required();?></strong></th>
              <td><input name="pass" type="password" class="inputbox"  size="45" />
                &nbsp; <?php echo tooltip('. کـلـمه عبـور باید حداقل 6 کاراکتر بـاشـد');?></td>
            </tr>
            <tr>
              <th><strong>تـکـرار کـلـمه عبـور : <?php echo required();?></strong></th>
              <td><input name="pass2" type="password" class="inputbox"  size="45" /></td>
            </tr>
            <tr>
              <th><strong>ایـمیـل :</strong> <?php echo required();?></th>
              <td><input name="email" type="text" class="inputbox"  value="<?php echo post('email');?>" size="45" /></td>
            </tr>
            <tr>
              <th><strong>نـام :</strong> <?php echo required();?></th>
              <td><input name="fname" type="text" class="inputbox" size="45" value="<?php echo post('fname');?>" /></td>
            </tr>
            <tr>
              <th><strong>نـام خـانـوادگـی :</strong> <?php echo required();?></th>
              <td><input name="lname" type="text" class="inputbox" size="45" value="<?php echo post('lname');?>" /></td>
            </tr>
            <tr>
              <th><strong> 5 + 4 = </strong> <?php echo required();?></th>
              <td><input name="captcha" type="text" class="inputbox" size="10" maxlength="2"/></td>
            </tr>
            <tr>
              <td align="left"><input class="button" name="submit" value="ثبـت نـام" type="submit" /></td>
              <td align="right"><a class="button-alt" href="login.php">بـازگـشـت به صـفحـه ورود</a></td>
            </tr>
          </table>
          <input name="doRegister" type="hidden" value="1" />
        </form>
      </div>
<script type="text/javascript">
  // <![CDATA[
  function showLoader() {
	  $("#loader").fadeIn(200);
  }

  function hideLoader() {
	  $("#loader").fadeOut(200);
  };
  $(document).ready(function() {
	  $("#user_form").submit(function () {
		  var str = $(this).serialize();
		  showLoader();
		  $.ajax({
			  type: "POST",
			  url: "ajax/user.php",
			  data: str,
			  success: function (msg) {
				  $("#msgholder").ajaxComplete(function(event, request, settings) {
				  if(msg  == 'OK') {
					  hideLoader();
					  result = '<div class="msgOk"><span>!مـوفقیـت<\/span>! ثـبـت نـام با مـوفقیـت انجـام شـد. لطـفـا ایـمیـل خـود را بـرای اطلاعـات بیشتـربـررسـی نمائیـد<\/div>';
				  $(".box").hide();
				  } else {
					  hideLoader();
				      result = msg;
				  }
				 $(this).html(result);
					  });
				  }
			  });
		  return false;
	  });
  });
  // ]]>
  </script>
    <?php endif;?>
    <!-- Full Layout /--> 
    <script type="text/javascript">
// <![CDATA[
$(document).ready(function() {
	$('#username').keyup(username_check);
});
function username_check() {
	var username = $('#username').val();
	if (username == "" || username.length < 4) {
		$('#yes').hide();
	} else {
		$.ajax({
			type: "POST",
			url: "ajax/user.php",
			data: 'checkUsername=' + username,
			cache: false,
			success: function(response) {
				if (response == 1) {
					$('#yes').hide();
					$('#no').fadeIn();
				} else {
					$('#no').hide();
					$('#yes').fadeIn();
				}

			}
		});
	}
}
// ]]>
</script>
<?php include("footer.php");?>